Wary 0.9.6 uploaded

A bit earlier than anticipated. Get this new Wary from here:

http://distro.ibiblio.org/pub/linux/distributions/quirky/wary-096/

...has delta files, in case you already have the Wary 094 files.

This pup is still classified as beta, not yet for mass consumption, but hopefully getting very close to an RC.

I have built it with an interesting twist this time. It has a "zrdv" file, 'zw096114.sfs', however the main .sfs, 'wary_096.sfs', has all the kernel modules that most people would need -- about 4MB (compressed) of them. Another 18MB are in the zdrv, but they are exotic and less-likely-to-be-needed modules, such as the analog dialup drivers.

What the above means is that you can leave out 'zw096114.sfs' and Wary will still work. So, install to Flash, hd or whatever and delete the zw096114.sfs, and you probably won't even miss it.

Another twist to the above, I also built Wary with the SCSI drivers in the initrd.gz, so this Wary can boot off ye old true SCSI drives (and of course mount them).

It is not mentioned in the filenames, but this Wary is built with the 2.6.31.14 kernel, my new "standard" kernel for the Wary series.


Posted on 7 Nov 2010, 15:55


Comments:

Posted on 7 Nov 2010, 17:21 by BarryK
Wary 096 forum feedback
I have started a forum thread for feedback:

http://murga-linux.com/puppy/viewtopic.php?t=61612



Posted on 7 Nov 2010, 17:30 by DaveS
All Good
All good so far. Great to be able to do a minimal install without modem drivers, this is a great feature.


Posted on 7 Nov 2010, 18:56 by tempestuous
missing SCSI drivers
Ah, SCSI, very timely. I discovered on the forum just recently that the Puppy kernel has a major gap in its otherwise extensive SCSI driver support: the "Fusion MPT" SCSI drivers are not enabled. These devices are quite popular in the SCSI world, and are found on many older motherboards as onboard SCSI controllers. The relevant kernel configuration is found at
Device Drivers > Fusion MPT device support
Once this setting is enabled, the sub-menu then allows the following 3 SCSI modules to be built: mptspi, mptfc, mptsas.
And this will change the kernel image, itself. I don't think the size difference will be much.
It's unfortunate we didn't discover this earlier, given the latest Wary kernel seems quite settled, with its 3rd party dialup modules.


Posted on 7 Nov 2010, 19:05 by Sage
Downloading...
...is stalling at ~42Mb every time from ibilio, this morning! Mirrors desperately needed.
[Dashing down to Perth to catch the cricket?! Oz & Kiwis doing rather well over here with the oval ball.]


Posted on 7 Nov 2010, 19:22 by Terryphi
Locale reset on upgrade
Longstanding gripe: why oh why can't Puppy/Wary respect locale when upgrading an existing save file? Everything is respected except locale (font-set/money/date-format). Not everyone is in the US!


Posted on 7 Nov 2010, 19:39 by steve p
network boot
I tested the code you added to boot without vmlinuz on the local filesystem. It seems to work.

I didn't actually try network booting, but I was able to boot Wary straight from the ISO with the following Grub4dos menu entry:

title Wary 0.9.6
find --set-root /wary-096_humongous.iso
map /wary-096_humongous.iso (0xff)
map --hook
root (0xff)
kernel /vmlinuz pmedia=usbflash pdev1=isoboot
initrd /initrd.gz


I had to set pdev1 to something fake (It's ignored anyway with pmedia=usbflash, right?)

This only works with a "humongous" ISO, and there is probably no advantage of booting Puppy this way instead of a frugal install in a subdir, but I thought it was an interesting thing to do :)

Anyway, thank you for the new release.


Posted on 7 Nov 2010, 19:47 by Sage
Downloading - reprise
Success. The all-wired exchange-box is just too fast around here, especially on a Sunday morning. Re-routed through an old slower network hub and this throttling seemed to work, albeit taking four times longer. Mirrors are still a good idea, though.
So - there you have it.


Posted on 7 Nov 2010, 20:37 by Sage
Stuff
Did you switch off 'woof woof'? Critical for testing systems. Otherwise, sound seems OK.
Agree with Terryphi - let's keep this thing in the family! Nobody over here would object to defaulting to Oz settings.


Posted on 7 Nov 2010, 20:43 by Grumpywolfe13
Video Upgrade Wizard
Hi Barry

When I ran the Video upgrade wizard it only recommended that I install the Mesa dri had a Internet connection so click to install and when it got to the end said that something had gone wrong and it did not install.


Posted on 7 Nov 2010, 22:03 by drblock2
geany and nico problems
Blindly fast, upgraded my Wary 090 pupsave file without incident, everything seems to work except:
The Geany bug (absent from 'Wary 090) is back. Geany will not open files on remote drives mounted with smb/cifs.
Nico edit closes summarily when you try to open or close files.



Posted on 7 Nov 2010, 23:20 by Sage
No installer?
The Universal installer doesn't appear to work - it shows all partitions as /sdaGUID ?? Is this an HW issue? with this disc?


Posted on 7 Nov 2010, 23:50 by Sage
No installer?
Must've been an artifact of HD. Wiped entire disc with low level utility. Everything working now except 'woof woof' at start up.


Posted on 7 Nov 2010, 23:50 by Sage
No installer?
Must've been an artifact of HD. Wiped entire disc with low level utility. Everything working now except 'woof woof' at start up.


Posted on 8 Nov 2010, 3:39 by rudyt
alsa broken again
alsa never worked on my Panasonic Toughbook until Wary 090, then broke again in 094 and 096. Modules load OK (snd_intel8x0), but alsaconf fails with:

amixer: Mixer attach default error: Input/output error

/usr/sbin/alsaconf: line 693: 21810 Segmentation fault nohup /root/Startup/retrovol_tray >/dev/null
ALSA lib confmisc.c:674:(snd_determine_driver) could not open control for card 0
ALSA lib conf.c:3286:(snd_config_hooks_call) function snd_config_hook_load_for_all_cards returned error: Input/output error
ALSA lib confmisc.c:674:(snd_determine_driver) could not open control for card 0
ALSA lib conf.c:4154:(_snd_config_evaluate) function snd_func_card_driver returned error: Input/output error
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:4154:(_snd_config_evaluate) function snd_func_concat returned error: Input/output error
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:4154:(_snd_config_evaluate) function snd_func_refer returned error: Input/output error
ALSA lib conf.c:4633:(snd_config_expand) Evaluate error: Input/output error
ALSA lib pcm.c:2211:(snd_pcm_open_noupdate) Unknown PCM cards.pcm.default
aplay: main:608: audio open error: Input/output error
killall: aplay: no process killed



Posted on 8 Nov 2010, 14:56 by technosaurus
woof adds/removes
There are several deprecated scripts in woof (last I checked) - do you want any reports on them?

Tiny core has a script to sort out the extra kernel modules into packages here:
http://distro.ibiblio.org/pub/linux/distributions/tinycorelinux/3.x/release/src/kernel/sorter.sh

I also derived a patch for glibc for compiling with -Os here:
--- io/sys/stat.h.old	2010-11-01 22:06:35.795362000 +0000

+++ io/sys/stat.h 2010-11-01 22:02:19.495346000 +0000
@@ -448,7 +448,7 @@
__mode_t __mode, __dev_t *__dev)
__THROW __nonnull ((3, 5));

-#if defined __GNUC__ && __GNUC__ >= 2 && defined __USE_EXTERN_INLINES
+#if defined __GNUC__ && __GNUC__ >= 2
/* Inlined versions of the real stat and mknod functions. */

__extern_inline int
I used CFLAGS="-Os -finline-small-functions -findirect-inlining -finline-functions-called-once -march=i586 -mtune=i686" (I know -march=i486 is preferred, but really those need something even lighter than puppy these days)

Speaking of low resource machines, if you are ever looking for an ultra-lite window manager, try mcwm - it only needs xcb and xcb-utils (no libX11) - resource usage was only 1.5mb with shared glibc and xcb (it would be much less with static uclibc base and make a good fall-back wm)

btw with the recent split of gdk-pixbuf, all of gtk's dependencies can be built on xcb, but unfortunately the gtk-xcb fork has been dead for 4 years :( really sad, it could really speed things up and cut out 1MB of dependencies - I tried building all the dependencies first and then x11-xcb , but the gtk configure script fails because it uses -lpango-1.0 to test for X11 (not sure why)


Posted on 8 Nov 2010, 16:42 by BarryK
Re deprecated scripts
Yes, old dead scripts should really be removed.

But, I don't want to know about it just now. My to-do list has got a bit long, and I don't want to tackle anything other than what is really essential for awhile. Best to wait until I have got Wary 5.0-final out, then there will hopefully be time to tidy up a few things like that.



Posted on 9 Nov 2010, 5:24 by adi
on line storage
I started to use dropbox in order to move from an os to another while having access to the same preferred files stored on line. Dropbox (www.dropbox.com) has its own installer for different operating sistems. Could it have a pet for puppy?. It can be accessed in browser too.


Posted on 10 Nov 2010, 10:38 by rudyt
[FIXED] alsa broken again
Happy to report an explanation for the alsa problem I reported a couple of posts above. It seems that the auto-upgrade of my warysave file from 090 to 094 broke alsa, because when I tried 096 from a clean slate (i.e. no warysave), alsa works perfectly. Hope this helps narrow down the problem.